## org.apache.catalina.core
Class ApplicationContext.PrivilegedGetResource

    java.lang.Object
      org.apache.catalina.core.ApplicationContext.PrivilegedGetResource

All Implemented Interfaces:
  java.security.PrivilegedExceptionAction

Enclosing class:
  ApplicationContext

protected class ApplicationContext.PrivilegedGetResource
extends java.lang.Object
implements java.security.PrivilegedExceptionAction

Method Summary
`java.lang.Object` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public java.lang.Object run()
                         throws java.lang.Exception

  Specified by:
    `run` in interface `java.security.PrivilegedExceptionAction`
  Throws:
    `java.lang.Exception`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.